Subject: Re: New ASIX USB3 product

From: Christian Riesch <[email-masked]>
Date: Tue, 20 Nov 2012 09:15:23 +0100

Jérôme,

On 2012-11-19 20:02, Jérôme Poulin wrote:
> I just bought a gigabit ethernet USB3 adapter, it is a StarTech
> USB31000S adapter and it does not seem to be un ASIX product database
> yet.

The AX88179 device is not yet supported by the mainline asix drivers. 
You could try to use the driver from the ASIX website [1]. Or you could 
compare this driver to the code in drivers/net/usb/a* and see if one of 
these drivers would work for the AX88179 and add an entry for the 
AX88179 in usb_device_id struct in asix_devices.c.

Regards, Christian

[1] 
http://www.asix.com.tw/products.php?op=pItemdetail&PItemID=131;71;112&PLine=71